### Method

# GUPnP Acl is_allowed

since: 0.20.11

#### Declaration [src]

    gboolean
    gupnp_acl_is_allowed (
      GUPnPAcl* self,
      _GUPnPDevice* device,
      _GUPnPService* service,
      const char* path,
      const char* address,
      const char* agent
    )

#### Description [src]

Check whether an IP address is allowed to access this resource.

Available since: 0.20.11

#### Parameters

`device`

  Type: `_GUPnPDevice*`

  The `GUPnPDevice` associated with `path` or `NULL` if unknown.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`service`

  Type: `_GUPnPService*`

  The `GUPnPService` associated with `path` or `NULL` if unknown.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`path`

  Type: `const char*`

  The path being served.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`address`

  Type: `const char*`

  IP address of the peer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`agent`

  Type: `const char*`

  The User-Agent header of the peer or `NULL` if unknown. `returns` `TRUE` if the peer is allowed, `FALSE` otherwise.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.